import HaikuBase from './../../HaikuBase';
export default class HaikuHTMLRenderer extends HaikuBase {
    mount: any;
    config: any;
    doc: any;
    constructor(mount: any, config: any);
    render(virtualContainer: any, virtualTree: any, component: any): string;
    hasSizing(): boolean;
    createContainer(out?: {}): {};
    initialize(): void;
    mountEventListener(name: string, listener: Function): void;
    getUser(): any;
}
